Subject: Pine 3.89 on Aux 3.02

From: [email-masked] (Gary J LaPointe)
Date: 16 Aug 1994 21:01:21 GMT

Help!

Trying to compile pine3.89 (from jagubox).

Attached is the result of a BUILD AUX.   Pico goes fine.
They are all erroring on the lack of ability to find library libiberty.a
I found a note on it that gave me some vague information in the 
pine_diffs.notes
but it was not specific enough (where do I get it in gcc and where do I 
put it and what does it have to do with memmove?!?).

Can anybody help?

Thanks,
Gary

Gary J LaPointe
[email-masked]
http://web.cal.msu.edu/gary/gary.html

>build aux
make args are "CC=gcc"

Making c-client library and mtest
        echo -O2 > CFLAGS
        echo -liberty > LDFLAGS
        gcc -O2 -o mtest mtest.o c-client.a -liberty
ld *command line*: can't find library libiberty.a
collect2: ld returned 1 exit status
Make: *** Error: Update of `mtest' terminated with exit code 1
Make:            [line 44 in 
/users/gary/pine/pine3.89/imap/non-ANSI/c-client/ma
kefile.aux]

Making Imapd
        cd ../c-client;make
        echo -O2 > CFLAGS
        echo -liberty > LDFLAGS
        gcc -O2 -o mtest mtest.o c-client.a -liberty
ld *command line*: can't find library libiberty.a
collect2: ld returned 1 exit status
Make: *** Error: Update of `mtest' terminated with exit code 1
Make:            [line 44 in 
/users/gary/pine/pine3.89/imap/non-ANSI/c-client/ma
kefile]

Make: *** Error: Update of `C-CLIENT' terminated with exit code 1
Make:            [line 47 in 
/users/gary/pine/pine3.89/imap/non-ANSI/imapd/Makef
ile]

Making Pico

Making Pine.
        echo "char datestamp[]="\"`date`\"";" > date.c
        gcc -c -O2   -o date.o date.c
        gcc  -O2   -o pine addrbook.o addrutil.o adrbklib.o args.o 
context.o fil
ter.o  folder.o help.o helptext.o imap.o init.o mailcmd.o mailindx.o  
mailview.o
 newmail.o other.o pine.o print.o reply.o screen.o  send.o signals.o 
status.o st
rings.o ttyin.o ttyout.o os.o date.o ../pico/libpico.a 
./c-client/c-client.a -l
termcap -lc -lposix -liberty
ld *command line*: can't find library libiberty.a
collect2: ld returned 1 exit status
Make: *** Error: Update of `pine' terminated with exit code 1
Make:            [line 32 in /users/gary/pine/pine3.89/pine/makefile.aux]

Links to executables are in bin directory:
size:  bin/pine:  cannot open
size:  bin/mtest:  cannot open
size:  bin/imapd:  cannot open
bin/pico:

Size of bin/pico:  0x311de

        Section         Size      Physical Address    Virtual Address

        .text        0x0001cb08      0x00000148         0x00000148
        .data        0x00002f50      0x00400c50         0x00400c50
        .bss         0x00007eaa      0x00403ba0         0x00403ba0
        .lt12069     0x000073bc      0x47f00000         0x47f00000
        .ld12076     0x0000244c      0x47fc0000         0x47fc0000
        .lb12077     0x00000094      0x47fc244c         0x47fc244c
        .lib         0x00000040      0x00000000         0x00000000
Done

(THIS IS ACTUALLY THE BUILD AFTER IT HAD PREVIOUSLY FAILED ONCE)